Package com.emc.d2fs.models.preference

# Class Column

java.lang.Object
com.emc.d2fs.models.preference.Column

All Implemented Interfaces:
  `Serializable`

public class Column extends Object implements Serializable

Java class for column complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="column">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="label" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="width" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
           <attribute name="d2svWidth" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
           <attribute name="type" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
           <attribute name="direction" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="fixed" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="sortable" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="displaytype" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
           <attribute name="group_by" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="group_by_widget" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="repeating" type="{http://www.w3.org/2001/XMLSchema}boolean" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Column()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getD2SvWidth()`
  Gets the value of the d2SvWidth property.
  `String`
  `getDirection()`
  Gets the value of the direction property.
  `int`
  `getDisplaytype()`
  Gets the value of the displaytype property.
  `String`
  `getGroupBy()`
  Gets the value of the groupBy property.
  `String`
  `getGroupByWidget()`
  Gets the value of the groupByWidget property.
  `String`
  `getLabel()`
  Gets the value of the label property.
  `String`
  `getName()`
  Gets the value of the name property.
  `int`
  `getType()`
  Gets the value of the type property.
  `int`
  `getWidth()`
  Gets the value of the width property.
  `Boolean`
  `isFixed()`
  Gets the value of the fixed property.
  `Boolean`
  `isRepeating()`
  Gets the value of the repeating property.
  `Boolean`
  `isSortable()`
  Gets the value of the sortable property.
  `void`
  `setD2SvWidth(int value)`
  Sets the value of the d2SvWidth property.
  `void`
  `setDirection(String value)`
  Sets the value of the direction property.
  `void`
  `setDisplaytype(int value)`
  Sets the value of the displaytype property.
  `void`
  `setFixed(Boolean value)`
  Sets the value of the fixed property.
  `void`
  `setGroupBy(String value)`
  Sets the value of the groupBy property.
  `void`
  `setGroupByWidget(String value)`
  Sets the value of the groupByWidget property.
  `void`
  `setLabel(String value)`
  Sets the value of the label property.
  `void`
  `setName(String value)`
  Sets the value of the name property.
  `void`
  `setRepeating(Boolean value)`
  Sets the value of the repeating property.
  `void`
  `setSortable(Boolean value)`
  Sets the value of the sortable property.
  `void`
  `setType(int value)`
  Sets the value of the type property.
  `void`
  `setWidth(int value)`
  Sets the value of the width property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Column

    public Column()

- ## Method Details

  - ### getName

    public String getName()
    Gets the value of the name property.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLabel

    public String getLabel()
    Gets the value of the label property.
    Returns:
      possible object is `String`

  - ### setLabel

    public void setLabel(String value)
    Sets the value of the label property.
    Parameters:
      `value` - allowed object is `String`

  - ### getWidth

    public int getWidth()
    Gets the value of the width property.

  - ### setWidth

    public void setWidth(int value)
    Sets the value of the width property.

  - ### getD2SvWidth

    public int getD2SvWidth()
    Gets the value of the d2SvWidth property.

  - ### setD2SvWidth

    public void setD2SvWidth(int value)
    Sets the value of the d2SvWidth property.

  - ### getType

    public int getType()
    Gets the value of the type property.

  - ### setType

    public void setType(int value)
    Sets the value of the type property.

  - ### getDirection

    public String getDirection()
    Gets the value of the direction property.
    Returns:
      possible object is `String`

  - ### setDirection

    public void setDirection(String value)
    Sets the value of the direction property.
    Parameters:
      `value` - allowed object is `String`

  - ### isFixed

    public Boolean isFixed()
    Gets the value of the fixed property.
    Returns:
      possible object is `Boolean`

  - ### setFixed

    public void setFixed(Boolean value)
    Sets the value of the fixed property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isSortable

    public Boolean isSortable()
    Gets the value of the sortable property.
    Returns:
      possible object is `Boolean`

  - ### setSortable

    public void setSortable(Boolean value)
    Sets the value of the sortable property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### getDisplaytype

    public int getDisplaytype()
    Gets the value of the displaytype property.

  - ### setDisplaytype

    public void setDisplaytype(int value)
    Sets the value of the displaytype property.

  - ### getGroupBy

    public String getGroupBy()
    Gets the value of the groupBy property.
    Returns:
      possible object is `String`

  - ### setGroupBy

    public void setGroupBy(String value)
    Sets the value of the groupBy property.
    Parameters:
      `value` - allowed object is `String`

  - ### getGroupByWidget

    public String getGroupByWidget()
    Gets the value of the groupByWidget property.
    Returns:
      possible object is `String`

  - ### setGroupByWidget

    public void setGroupByWidget(String value)
    Sets the value of the groupByWidget property.
    Parameters:
      `value` - allowed object is `String`

  - ### isRepeating

    public Boolean isRepeating()
    Gets the value of the repeating property.
    Returns:
      possible object is `Boolean`

  - ### setRepeating

    public void setRepeating(Boolean value)
    Sets the value of the repeating property.
    Parameters:
      `value` - allowed object is `Boolean`